%define src_ver .33.7.1
%define major 10

Summary:       An Open Source interactive spelling checker program.
Name:          aspell
Version:       0%{src_ver}
Release:       1mdk
Group:         Text tools

Source0:       http://download.sourceforge.net/aspell/%{name}-%{src_ver}.tar.bz2

URL:           http://aspell.sourceforge.net/
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
License:       GPL
Requires:      libpspell4 >= 0.11.1
BuildRequires: libpspell4-devel >= 0.11.1
BuildRequires: libtool-devel
# Mandrake Stuff.
Requires:      aspell-dictionary, libaspell%major = %version-%release

%description
Aspell is an Open Source spell checker designed to eventually replace ispell.
Its main feature is that it does a much better job of coming up with possible
suggestions than ispell does. In fact recent tests shows that it even does
better than Microsoft Word 97's spell checker in some cases. In addition it
has both compile time and run time support for other non English languages.
Aspell also doubles as a powerful C library with C and Perl interfaces 
in the works.

%package        en_GB
Summary:        British dictionary for aspell
Group:          System/Internationalization
Requires:       aspell

# Mandrake Stuff
Requires:       locales-en
Provides:       aspell-dictionary

%description en_GB
A British dictionary for use with aspell, a spelling checker.


%package        en_CA
Summary:        Canadian dictionary
Group:          System/Internationalization
Requires:       aspell

# Mandrake Stuff
Requires:       locales-en
Provides:       aspell-dictionary

%description en_CA
A Canadian dictionary for use with aspell, a spelling checker.


%package        en
Summary:        American dictionary
Group:          System/Internationalization
Requires:       aspell

# Mandrake Stuff
Requires:       locales-en
Provides:       aspell-dictionary

%description en
A American dictionary for use with aspell, a spelling checker.

%package -n libaspell%major
Group:          Text tools
Summary:        Shared library files for aspell

%description -n libaspell%major
Shared library files for the aspell package.

%package -n libaspell%major-devel
Group:          Development/Other
Summary:        Development files for aspell
Requires:       %name = %version-%release, libaspell%major = %version-%release
Provides:       libaspell-devel = %{version}
Provides:		aspell-devel = %{version}
Obsoletes:      aspell-devel

%description -n libaspell%major-devel
Development headers, and files for development from the aspell package.


%prep
%setup -q -n %{name}-%{src_ver}

%build

# special CXXFLAGS cause aspell binary to fail with "error 139"
# during the make. so, configure macro avoided on x86. -jgarzik 6/2/01
%ifarch %{ix86}
CFLAGS="-pipe $RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
%else
%configure
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
cd manual
make DESTDIR=$RPM_BUILD_ROOT install

%post -n libaspell%{major} -p /sbin/ldconfig
%postun -n libaspell%{major} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO $RPM_BUILD_ROOT/usr/doc/%{name}
%{_bindir}/*
%{_datadir}/aspell
%dir %{_libdir}/aspell
%{_libdir}/libpspell_aspell.la

%files -n libaspell%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n libaspell%{major}-devel
%defattr(-, root, root)
%{_includedir}/aspell
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/libaspell.la

%files en_CA
%defattr(-,root,root)
%{_libdir}/aspell/canadian*
%{_datadir}/pspell4/*canadian*

%files en_GB
%defattr(-,root,root)
%{_libdir}/aspell/british*
%{_datadir}/pspell4/*british*

%files en
%defattr(-,root,root)
%{_libdir}/aspell/american*
%{_libdir}/aspell/english*
%{_datadir}/pspell4/en-aspell.pwli
%{_datadir}/pspell4/*american*

%changelog 
* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.7.1-1mdk
- Release .33.7.1

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.7-2mdk
- Move pspell .la files in main package (fix pspell support)

* Thu Aug  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.7-1mdk
- Release .33.7
- Remove patch0 (merged upstream)

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.6.3-2mdk
- Patch0: official fix for gcc and some charset errors
- clean specfile

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.6.3-1mdk
- Release .33.6.3

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.33.6-5mdk
- BuildRequires: libtool-devel

* Sat Jun  2 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.33.6-4mdk
- Use configure macro on non-x86, move configure step to %%build
- New packages libaspell, libaspell-devel for library policy
- Re-zip source with bzip2 not gzip

* Sat May 26 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.33.6-3mdk
- rebuild on new environment

* Thu May 24 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.33.6-2mdk
- rebuild and included docs

* Fri May 18 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.33.6-1mdk
- updated and rebuild against new libpspell

* Thu Jan 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.32.5-4mdk
- build release

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 0.32.5-3mdk
- Fix Requires and BuildRequires

* Wed Sep 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.32.5-2mdk
- Provides pwli files (Thanks Michael Reinsch)

* Fri Aug 25 2000 Troels Liebe Bentsen 0.32.5-1mdk
- Updated to new version.
- Added packages en, en_CA, en_GB

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.32.1-1mdk
- release 0.32.1 (merge from helix 0_helix_1)
- BM + macroszification

* Thu Jan 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 28.3-1mdk
- v28.3 

* Fri Aug 27 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
